Subject: AIList V6 #17 - Prolog, CommonLoops, Ball Catching, Nano-Engineering
From: AIList Moderator Kenneth Laws <[email-masked]>
To: [email-masked]
Date: Sun 24 Jan 1988 23:07-PST

AIList Digest            Monday, 25 Jan 1988       Volume 6 : Issue 17

Today's Topics:
  Queries - Eye and Brain Reference &
    Software Development and Expert Systems &
    Joshua for Symbolics & IXL Machine Learning System,
  AI Tools - PROLOG for an IBM 3090 under CMS & CommonLoops,
  History - Ball-Catching Robot,
  Comments - Nano-Engineering & CogSci List

----------------------------------------------------------------------

Date: 19 Jan 88 09:21:52 GMT
From: [email-masked] (Christian Ronse)
Subject: Re: Evolution of Intelligence

>   [For a more elaborate development of this viewpoint see the
>   recent book by Fischler and Firschein on The Eye and the Brain.
>   A major premise is that perception is a goal of AI (or of any
>   intelligence) rather than just a preprocessing stage.  -- KIL]

Could I have the complete reference, please?

Christian Ronse         [email-masked]
{uunet|philabs|mcvax|...}!prlb2!{maldoror|ronse}

  [M.A. Fischler and O. Firschein, Intelligence: The Eye, the Brain,
  and the Computer.  Addison-Wesley Publishing Co., Reading, Massachusetts,
  1987.  331 pp.  -- KIL]

------------------------------

Date: Fri, 22 Jan 88 10:10:23 GMT
From: "Simon.Ross" <[email-masked]>
Subject: Software Development and Expert Systems

Request for information please:

I am looking into Performance Measures for Knowledge-Based Systems
(including Expert Systems). In particular, I am interested in what software
development techniques/measures etc for conventional software may be useful
for knowledge-based software. Furthermore, what are the special problems of
evaluating, testing and measuring the performance of knowledge-based systems
which make conventional tools and methods inappropriate.

Any information regarding this subject (even if it is informed
anecdotes) will be gratefully received.

Depending on the response I may get back to you on this.

Simon Ross
                Department of Computer Science
                University College London
                London WC1E 6BT
                Phone: (+44) 1 387 7050 Ext. 3701

                ARPA :  [email-masked]
....if this does not work try;
           EAST COAST:  [email-masked]
           WEST COAST:  [email-masked]
                UUCP :  mcvax!ukc!ucl-cs!sross

------------------------------

Date: 22 Jan 88 22:46:23 GMT
From: [email-masked]  (Dorothy Dube)
Subject: Joshua for Symbolics

there's been a recent reference to some tool called Joshua,
which presumably sits on a Symbolics, and is purported to be
as robust as Knowledge Craft (tm).

does anyone have any details on this tool?

thanx

[email-masked]

------------------------------

Date: Fri 22 Jan 88 14:17:32-EST
From: Steven M. Kearns <[email-masked]>
Subject: IXL - A Machine Learning System

Hi.
I remember seeing an advertisement for IXL - A Machine Learning System;
it sounded interesting but I have lost the pointer to the company.

Has anybody used this, or know the address/phone number of the company.
As I remember it, it was some sort of combination of frame system,
database, expert system, and kitchen sink.
-steve
([email-masked])

------------------------------

Date: Fri, 22 Jan 88 20:21 SET
From: Renzo Beltrame <[email-masked]>
Subject: Re: PROLOG for an IBM 3090 under CMS

We have VMPROLOG on an IBM 3081 under VM/CMS.  It was used by our
collegues that work on natural language analisys.
I did not heard of a version of VMPROLOG using the vector feature of
IBM 3090.
The only languages for which I know this possibility are MPSX and APL2.
Regards,
--renzo
Acknowledge-To: Renzo Beltrame <BELTRAME@ICNUCEVM>

------------------------------

Date: 22 Jan 88 22:35:40 GMT
From: [email-masked]  (Luis Miguel)
Subject: Re: Object and frame languages wanted

What you want is Portable Common Loops, an implementation of CLOS
(Common Lisp Object Standard) form Xerox Parc.

Send mail to [email-masked] for information regarding
availability, documentation, etc. It is available for ftp'ing over the
network, and is all public domain code.

/Luis

Luis Miguel CS Division, UC Berkeley.
arpa: [email-masked]
uucp: {ihnp4,decvax}!ucbvax!ingres!luis
at&t: 415/642-3560 (W)

------------------------------

Date: Fri, 22 Jan 1988  23:08 EST
From: [email-masked]
Subject: AIList V6 #15 -  table tennis playing robot

We did make a ball-catching robot in the late 1950's.  Richard
Greenblatt and William Gosper were involved with it.  We considered
ping-pong but concluded that our mechanical arm - then an AMF
versatran machine - would be too slow.  Somehow, though , a rumor
spread that we had a project to play ping-pong.  The only substance
was that Gosper did make an attitude-controllable paddle that could be
attached to the arm in case we were able to speed it up.  It should be
mentioned that Gosper was - and presumably still is - a master level
ping-pong player.

The rumor about the ball-catcher trying to catch me was true, however.
It would try to catch anything it could.  We built a railing around
it.  It was no good at catching people because the algorithm was: find
anything that moves and extrapolate the appropriate parabola for free
flight.  But it sure was dangerous being around it.

Our pincer-like mechanical hand was also to slow to catch the ball,
given the low accuracy we were getting from our TV camera.  Greenblatt
finally attached a rustic-looking straw cornucopia baskets to the arm
- you know, the sort of thing shaped like a curved horn with the
flared end up.  Most visitors assumed that we were simply trying to be
quaintly anachronistic.  The sad fact is the the cornucopia was about
the only thing that worked.  We had tried all sorts of little cups and
pails, etc., but the ball would usually bounce out of them.  The ball
was too dumb, though, to figure out how to get out of the cornucopia.

Later, as we got into the problems of robotics - for example, the
problems Fahlman faced with the BUILD program - we decided to leave
the problems of high-speed but low-level robotics aside.  For the same
reasons we stuck with stationary rather than mobile robots.

------------------------------

Date: Fri, 22 Jan 88 14:21:05 est
From: Mr. David Smith <[email-masked]>
Subject: Nano-engineering

>In article <[email-masked]> [email-masked] writes:
>> [...] the book >Engines of Creation< by K. Eric Drexler of MIT. [...]
>>it is not necessary to first understand intelligence.  All one has to do is
>>simulate the brain [...] a complete hardware simulation of the brain can be
>>done [...] in the space of one cubic centimeter [...] h a machine could then
>>just be allowed to run and should be able to accomplish a man-year of
>>work in ten seconds.
>
>The breathtaking simplicity of the idea is awesome.  Of course, some
>technological advances will be necessary for its realization, but note that
>to attain them, it is not necessary to understand technology ... all one has
>to do is simulate its development.  A complete hardware simulation of the
>U.S. technological enterprise can be done in the space of one cubic meter
>(see appendix A) ... such a machine could then just be allowed to run, and
>should be able to accomplish a century of progress in one hour.

Some time ago, I asked a net question about nano-engineering and all roads
led to Eric Drexler.  Frankly, I was pleased to see this net mail putting
such activities into perspective.  At the risk of sounding Pharisaic, I
believe that the cause of "serious AI" is seriously hindered by such blatant
blather. This has to be the only forum in the civilized world which allows
such claims to be perpetrated without receiving equal portions of ridicule
and abuse.  Can it not be stopped?

David Smith:  [email-masked]

------------------------------

Date: 23 Jan 88 01:24:46 GMT
From: [email-masked]  (Umesh D. Joglekar)
Subject: Re: Another vote for comp.cog-sci (was Re: time for
         sci.psych???)

  .... I for one,  miss Steven Harnad's frequent postings.
  A cognitive Science Newsgroup would provide an appropriate forum
  for such postings which were voted out from this newsgroup sometime back.

 Research Institute for Advanced Computer Science   ARPA: [email-masked]
 MS 230-5, NASA Ames Research Center,               UUCP: ..ames!riacs!joglekar
 Moffett Field, Ca 94305                                  (415)  694-6921

  [Please note that the vote was initiated by Steven Harnad, not
  by the AIList moderator or readers.  There was considerable
  controversy over his postings, but the complaints were mostly
  about length rather than subject matter.  I favor creation of
  a separate CogSci list, but AIList is still available for such
  discussions.  The same is true for philosophy, which also describes
  Harnad's postings.  -- KIL]

------------------------------

End of AIList Digest
********************